install.packages("phia")
library(phia)
library(agricolae)
#Two factors ANOVA for Severity and varitey by wk
Variety_aov<-lm(Severity~variety*wk, data=Data)
ANOVA1<-anova(Variety_aov)
ANOVA1

Data$wk<-as.factor(Data$wk)
Data$trt<-as.factor(Data$trt)

#Two factors ANOVA for Severity and trt by wk
Trt_aov<-lm(Severity~trt*wk, data=Data)
ANOVA2<-anova(Trt_aov)
ANOVA2

#Interaction test by Holm's method
Trt_aov<-lm(Severity~trt*wk, data=Data)
INTest<-testInteractions(Trt_aov,residual=c("wk","trt"))
INTest
require(graphics)
interaction.plot(Data$trt, Data$wk, Data$Severity,col=c(1,2,3,4,5,6,7,8), typ="b",xlab="Treatment", ylab="Mean Severity", main="Graph of interaction of weeks and treatments", lwd=3, pch=c(1,2,3,4,5,6,7,8), legend=TRUE, trace.label = "Week")
